package com.foreverwin.mesnac.anomaly.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 异常单
 * </p>
 *
 * @author zjw
 * @since 2021-09-15
 */

@TableName("Z_ABNORMAL_BILL")

public class AbnormalBill extends Model<AbnormalBill> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键    AbnormalBillBO:站点,异常单
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 异常单
     */
   @TableField("ABNORMAL_NO")
   private String abnormalNo;
    /**
     * 异常状态  新建 N/ X响应中/F方案确认/J纠防确认/Q取消/G关闭
     */
   @TableField("STATUS")
   private String status;
    /**
     * 纠防确认
     */
   @TableField("CORRECTION")
   private String correction;
    /**
     * 方案确认
     */
   @TableField("PROGRAM")
   private String program;
    /**
     * 异常类型 Q｜其他，Z｜质量，S｜设备
     */
   @TableField("TYPE")
   private String type;
    /**
     * 物料BO
     */
   @TableField("ITEM_BO")
   private String itemBo;
    /**
     * SFC条码
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 操作
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 异常车间
     */
   @TableField("WORK_CENTER")
   private String workCenter;
    /**
     * 工单
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * 消息类型
     */
   @TableField("MESSAGE_TYPE")
   private String messageType;
    /**
     * 设备编号
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 不良代码
     */
   @TableField("NC_CODE")
   private String ncCode;
    /**
     * 停机处理
     */
   @TableField("SHUT_DOWN")
   private String shutDown;
    /**
     * 响应人员
     */
   @TableField("RESPONSE_USER")
   private String responseUser;
    /**
     * 响应时间
     */
   @TableField("RESPONSE_DATE_TIME")
   private LocalDateTime responseDateTime;
    /**
     * 问题描述
     */
   @TableField("PB_DESCRIPTION")
   private String pbDescription;
    /**
     * 不良品数量
     */
   @TableField("NC_QTY")
   private String ncQty;
    /**
     * 问题等级     A,B,C
     */
   @TableField("PB_GRADE")
   private String pbGrade;
    /**
     * 问题提报人
     */
   @TableField("PB_USER")
   private String pbUser;
    /**
     * 问题数量
     */
   @TableField("PB_QTY")
   private String pbQty;
    /**
     * 建议维修时间
     */
   @TableField("REPAIR_DATE_TIME")
   private LocalDateTime repairDateTime;
    /**
     * 发现环节     Z|自制         W| 外协    D｜到货    K｜客户
     */
   @TableField("DISCOVER")
   private String discover;
    /**
     * 检验人员
     */
   @TableField("INSPECTOR")
   private String inspector;
    /**
     * 实物位置
     */
   @TableField("ENTITY_LOCATION")
   private String entityLocation;
    /**
     * 上报来源 B｜自报。 J｜质检    R｜设备人员   Z｜设备自动 维修自查  | C  Y | 工艺
     */
   @TableField("REPORT_FROM")
   private String reportFrom;
    /**
     * 关联来源
     */
   @TableField("OBJECT_BO")
   private String objectBo;
    /**
     * 问题照片
     */
   @TableField("PB_PHOTOSHOP")
   private String pbPhotoshop;
    /**
     * 取消代码
     */
   @TableField("CANCEL_CODE")
   private String cancelCode;
    /**
     * 取消原因
     */
   @TableField("CANCEL_REASON")
   private String cancelReason;
    /**
     * 取消时间
     */
   @TableField("CANCEL_DATE_TIME")
   private LocalDateTime cancelDateTime;
    /**
     * 取消人
     */
   @TableField("CANCEL_USER")
   private String cancelUser;
    /**
     * 提报发送用户组
     */
   @TableField("REPORT_SEND_USER_GROUP")
   private String reportSendUserGroup;
    /**
     * 取消发送用户组
     */
   @TableField("CANCEL_SEND_USER_GROUP")
   private String cancelSendUserGroup;
    /**
     * 创建人
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 创建日期
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFIED_USER")
   private String modifiedUser;
    /**
     * 修改日期
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
    /**
     * 产品型号
     */
   @TableField("PRODUCT_CATEGORY")
   private String productCategory;
    /**
     * 工步
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 工作令
     */
   @TableField("WORK_ORDER")
   private String workOrder;
    /**
     * 项目号
     */
   @TableField("ITEM_NUMBER")
   private String itemNumber;

   @TableField(exist = false)
   private String filePath;

   @TableField(exist = false)
   private String fileName;

   @TableField(exist = false)
   private String fileNum;




   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getAbnormalNo() {
      return abnormalNo;
   }

   public void setAbnormalNo(String abnormalNo) {
      this.abnormalNo = abnormalNo;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getCorrection() {
      return correction;
   }

   public void setCorrection(String correction) {
      this.correction = correction;
   }

   public String getProgram() {
      return program;
   }

   public void setProgram(String program) {
      this.program = program;
   }

   public String getType() {
      return type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getItemBo() {
      return itemBo;
   }

   public void setItemBo(String itemBo) {
      this.itemBo = itemBo;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getMessageType() {
      return messageType;
   }

   public void setMessageType(String messageType) {
      this.messageType = messageType;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getNcCode() {
      return ncCode;
   }

   public void setNcCode(String ncCode) {
      this.ncCode = ncCode;
   }

   public String getShutDown() {
      return shutDown;
   }

   public void setShutDown(String shutDown) {
      this.shutDown = shutDown;
   }

   public String getResponseUser() {
      return responseUser;
   }

   public void setResponseUser(String responseUser) {
      this.responseUser = responseUser;
   }

   public LocalDateTime getResponseDateTime() {
      return responseDateTime;
   }

   public void setResponseDateTime(LocalDateTime responseDateTime) {
      this.responseDateTime = responseDateTime;
   }

   public String getPbDescription() {
      return pbDescription;
   }

   public void setPbDescription(String pbDescription) {
      this.pbDescription = pbDescription;
   }

   public String getNcQty() {
      return ncQty;
   }

   public void setNcQty(String ncQty) {
      this.ncQty = ncQty;
   }

   public String getPbGrade() {
      return pbGrade;
   }

   public void setPbGrade(String pbGrade) {
      this.pbGrade = pbGrade;
   }

   public String getPbUser() {
      return pbUser;
   }

   public void setPbUser(String pbUser) {
      this.pbUser = pbUser;
   }

   public String getPbQty() {
      return pbQty;
   }

   public void setPbQty(String pbQty) {
      this.pbQty = pbQty;
   }

   public LocalDateTime getRepairDateTime() {
      return repairDateTime;
   }

   public void setRepairDateTime(LocalDateTime repairDateTime) {
      this.repairDateTime = repairDateTime;
   }

   public String getDiscover() {
      return discover;
   }

   public void setDiscover(String discover) {
      this.discover = discover;
   }

   public String getInspector() {
      return inspector;
   }

   public void setInspector(String inspector) {
      this.inspector = inspector;
   }

   public String getEntityLocation() {
      return entityLocation;
   }

   public void setEntityLocation(String entityLocation) {
      this.entityLocation = entityLocation;
   }

   public String getReportFrom() {
      return reportFrom;
   }

   public void setReportFrom(String reportFrom) {
      this.reportFrom = reportFrom;
   }

   public String getObjectBo() {
      return objectBo;
   }

   public void setObjectBo(String objectBo) {
      this.objectBo = objectBo;
   }

   public String getPbPhotoshop() {
      return pbPhotoshop;
   }

   public void setPbPhotoshop(String pbPhotoshop) {
      this.pbPhotoshop = pbPhotoshop;
   }

   public String getCancelCode() {
      return cancelCode;
   }

   public void setCancelCode(String cancelCode) {
      this.cancelCode = cancelCode;
   }

   public String getCancelReason() {
      return cancelReason;
   }

   public void setCancelReason(String cancelReason) {
      this.cancelReason = cancelReason;
   }

   public LocalDateTime getCancelDateTime() {
      return cancelDateTime;
   }

   public void setCancelDateTime(LocalDateTime cancelDateTime) {
      this.cancelDateTime = cancelDateTime;
   }

   public String getCancelUser() {
      return cancelUser;
   }

   public void setCancelUser(String cancelUser) {
      this.cancelUser = cancelUser;
   }

   public String getReportSendUserGroup() {
      return reportSendUserGroup;
   }

   public void setReportSendUserGroup(String reportSendUserGroup) {
      this.reportSendUserGroup = reportSendUserGroup;
   }

   public String getCancelSendUserGroup() {
      return cancelSendUserGroup;
   }

   public void setCancelSendUserGroup(String cancelSendUserGroup) {
      this.cancelSendUserGroup = cancelSendUserGroup;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifiedUser() {
      return modifiedUser;
   }

   public void setModifiedUser(String modifiedUser) {
      this.modifiedUser = modifiedUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getProductCategory() {
      return productCategory;
   }

   public void setProductCategory(String productCategory) {
      this.productCategory = productCategory;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getWorkOrder() {
      return workOrder;
   }

   public void setWorkOrder(String workOrder) {
      this.workOrder = workOrder;
   }

   public String getItemNumber() {
      return itemNumber;
   }

   public void setItemNumber(String itemNumber) {
      this.itemNumber = itemNumber;
   }

   public String getFilePath() {
      return filePath;
   }

   public void setFilePath(String filePath) {
      this.filePath = filePath;
   }

   public String getFileName() {
      return fileName;
   }

   public void setFileName(String fileName) {
      this.fileName = fileName;
   }

   public String getFileNum() {
      return fileNum;
   }

   public void setFileNum(String fileNum) {
      this.fileNum = fileNum;
   }

   public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String ABNORMAL_NO = "ABNORMAL_NO";

public static final String STATUS = "STATUS";

public static final String CORRECTION = "CORRECTION";

public static final String PROGRAM = "PROGRAM";

public static final String TYPE = "TYPE";

public static final String ITEM_BO = "ITEM_BO";

public static final String SFC = "SFC";

public static final String OPERATION = "OPERATION";

public static final String WORK_CENTER = "WORK_CENTER";

public static final String SHOP_ORDER = "SHOP_ORDER";

public static final String MESSAGE_TYPE = "MESSAGE_TYPE";

public static final String RESRCE = "RESRCE";

public static final String NC_CODE = "NC_CODE";

public static final String SHUT_DOWN = "SHUT_DOWN";

public static final String RESPONSE_USER = "RESPONSE_USER";

public static final String RESPONSE_DATE_TIME = "RESPONSE_DATE_TIME";

public static final String PB_DESCRIPTION = "PB_DESCRIPTION";

public static final String NC_QTY = "NC_QTY";

public static final String PB_GRADE = "PB_GRADE";

public static final String PB_USER = "PB_USER";

public static final String PB_QTY = "PB_QTY";

public static final String REPAIR_DATE_TIME = "REPAIR_DATE_TIME";

public static final String DISCOVER = "DISCOVER";

public static final String INSPECTOR = "INSPECTOR";

public static final String ENTITY_LOCATION = "ENTITY_LOCATION";

public static final String REPORT_FROM = "REPORT_FROM";

public static final String OBJECT_BO = "OBJECT_BO";

public static final String PB_PHOTOSHOP = "PB_PHOTOSHOP";

public static final String CANCEL_CODE = "CANCEL_CODE";

public static final String CANCEL_REASON = "CANCEL_REASON";

public static final String CANCEL_DATE_TIME = "CANCEL_DATE_TIME";

public static final String CANCEL_USER = "CANCEL_USER";

public static final String REPORT_SEND_USER_GROUP = "REPORT_SEND_USER_GROUP";

public static final String CANCEL_SEND_USER_GROUP = "CANCEL_SEND_USER_GROUP";

public static final String CREATED_USER = "CREATED_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_USER = "MODIFIED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String PRODUCT_CATEGORY = "PRODUCT_CATEGORY";

public static final String STEP_ID = "STEP_ID";

public static final String WORK_ORDER = "WORK_ORDER";

public static final String ITEM_NUMBER = "ITEM_NUMBER";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "AbnormalBill{" +
         "handle = " + handle +
         ", site = " + site +
         ", abnormalNo = " + abnormalNo +
         ", status = " + status +
         ", correction = " + correction +
         ", program = " + program +
         ", type = " + type +
         ", itemBo = " + itemBo +
         ", sfc = " + sfc +
         ", operation = " + operation +
         ", workCenter = " + workCenter +
         ", shopOrder = " + shopOrder +
         ", messageType = " + messageType +
         ", resrce = " + resrce +
         ", ncCode = " + ncCode +
         ", shutDown = " + shutDown +
         ", responseUser = " + responseUser +
         ", responseDateTime = " + responseDateTime +
         ", pbDescription = " + pbDescription +
         ", ncQty = " + ncQty +
         ", pbGrade = " + pbGrade +
         ", pbUser = " + pbUser +
         ", pbQty = " + pbQty +
         ", repairDateTime = " + repairDateTime +
         ", discover = " + discover +
         ", inspector = " + inspector +
         ", entityLocation = " + entityLocation +
         ", reportFrom = " + reportFrom +
         ", objectBo = " + objectBo +
         ", pbPhotoshop = " + pbPhotoshop +
         ", cancelCode = " + cancelCode +
         ", cancelReason = " + cancelReason +
         ", cancelDateTime = " + cancelDateTime +
         ", cancelUser = " + cancelUser +
         ", reportSendUserGroup = " + reportSendUserGroup +
         ", cancelSendUserGroup = " + cancelSendUserGroup +
         ", createdUser = " + createdUser +
         ", createdDateTime = " + createdDateTime +
         ", modifiedUser = " + modifiedUser +
         ", modifiedDateTime = " + modifiedDateTime +
         ", productCategory = " + productCategory +
         ", stepId = " + stepId +
         ", workOrder = " + workOrder +
         ", itemNumber = " + itemNumber +
         "}";
   }
}